-- little config
local scale = 0.8
local position = "TOPRIGHT"
local position_x = -14
local position_y = -10

local quest_pos_1 = "TOPRIGHT"  -- Anchor 1
local quest_pos_2 = "TOPRIGHT"  -- and 2
local quest_anchorframe = "UIParent"
local quest_pos_x = -50
local quest_pos_y = -250
-- config end

local m = Minimap
local mc = MinimapCluster
m:SetMaskTexture("Interface\\Addons\\iMinimap\\media\\mask")

m:EnableMouseWheel()
m:SetScript("OnMouseWheel", function(self, direction)
    if(direction > 0) then
        Minimap_ZoomIn()
    else
        Minimap_ZoomOut()
    end
end)

--Questtracker
WatchFrame:ClearAllPoints()
WatchFrame:SetPoint(quest_pos_1, quest_anchorframe, quest_pos_2, quest_pos_x, quest_pos_y)
WatchFrame:SetHeight(600)
WatchFrame.ClearAllPoints = function() end
WatchFrame.SetPoint = function() end
WatchFrame.SetAllPoints = function() end 

-- hide some stuff
local stuff = {
  "MinimapBorder",
  "MinimapBorderTop",
  "MinimapNorthTag",
  "MiniMapWorldMapButton",
  "MinimapZoneTextButton",
  "MinimapZoomIn",
  "MinimapZoomOut",
}
for i,v in pairs(stuff) do
  getglobal(v).Show = function() end
  getglobal(v):Hide()
end

-- Position & Scaling
m:SetScale(scale)
m:SetFrameStrata("MEDIUM")
m:ClearAllPoints()
m:SetPoint(position, UIParent, position_x, position_y)
mc:ClearAllPoints()
mc:SetAllPoints(m)

-- Slahscommand for calendar
SlashCmdList["CALENDAR"] = function()
	ToggleCalendar()
end
SLASH_CALENDAR1 = "/cl"
SLASH_CALENDAR2 = "/calendar"

-- Slahscommand for hiding
SlashCmdList["HIDEMINIMAP"] = function()
    if m:IsShown() == 1 then
        m:Hide()
        ChatFrame1:AddMessage("Minimap is now |cffff0000hidden|r!")
    else
        m:Show()
        ChatFrame1:AddMessage("Minimap is now |cff00ff00shown|r!")
    end
end
SLASH_HIDEMINIMAP1 = "/mm"
SLASH_HIDEMINIMAP2 = "/mmhide"

-- Icons
local mt = MiniMapTracking
mt:ClearAllPoints()
mt:SetPoint("TOPLEFT", m, 2, -4)
mt:SetScale(.7)
MiniMapTrackingBackground:Hide()
MiniMapTrackingButtonBorder:Hide()
MiniMapTrackingButton:SetHighlightTexture("")
MiniMapTrackingIcon:SetTexCoord(0.07, 0.93, 0.07, 0.93)

local mb = MiniMapBattlefieldFrame
mb:ClearAllPoints()
mb:SetPoint("TOPRIGHT", m, -28, -3)
mb:SetScale(.9)
MiniMapBattlefieldBorder:Hide()

local ml = MiniMapLFGFrame
ml:ClearAllPoints()
ml:SetParent(Minimap)
ml:SetPoint("TOPRIGHT", m, -30, -1)
ml:SetScale(.9)
MiniMapLFGFrameBorder:Hide()

local mm = MiniMapMailFrame
mm:ClearAllPoints()
mm:SetPoint("TOPLEFT", m, 27, 0)
MiniMapMailBorder:Hide()
MiniMapMailIcon:SetTexture("Interface\\AddOns\\iMinimap\\media\\mail")

GameTimeFrame:SetWidth(19)		-- Took this from Maneut's Version of nMinimap
GameTimeFrame:SetHeight(19)
GameTimeFrame:ClearAllPoints()
GameTimeFrame:SetPoint("TOPRIGHT", Minimap, -6, -4)
GameTimeFrame:SetHitRectInsets(0, 0, 0, 0)
GameTimeFrame:GetRegions():Hide()

local color = RAID_CLASS_COLORS[select(2, UnitClass("player"))]
local text = select(5, GameTimeFrame:GetRegions())
text:SetFont("Fonts\\ARIALN.ttf", 15, "THINOUTLINE")
text:SetTextColor(color.r, color.g, color.b)
text:SetShadowOffset(0, 0)

LoadAddOn('Blizzard_TimeManager')
TimeManagerClockButton:Hide()

for i = 6, 8 do
    select(i, GameTimeFrame:GetRegions()):SetTexture(nil)
end

TimeManagerClockButton:Hide()

	local pos = 1
	local scale = 1
	local frame = m
	local color = {r = 0, g = 0, b = 0}
	local tex = "Interface\\ChatFrame\\ChatFrameBackground"
	
	local TopLeft = frame:CreateTexture(nil, "BORDER")
	TopLeft:SetTexture(tex)
	TopLeft:SetTexCoord(0, 1/3, 0, 1/3)
	TopLeft:SetPoint("TOPLEFT", frame, -pos, pos)
	TopLeft:SetWidth(scale) TopLeft:SetHeight(scale)
	TopLeft:SetVertexColor(color.r,color.g,color.b)
	TopLeft:SetDrawLayer("BORDER")
	
	local TopRight = frame:CreateTexture(nil, "BORDER")
	TopRight:SetTexture(tex)
	TopRight:SetTexCoord(2/3, 1, 0, 1/3)
	TopRight:SetPoint("TOPRIGHT", frame, pos, pos)
	TopRight:SetWidth(scale) TopRight:SetHeight(scale)
	TopRight:SetVertexColor(color.r,color.g,color.b)
	TopRight:SetDrawLayer("BORDER")
	
	local BottomLeft = frame:CreateTexture(nil, "BORDER")
	BottomLeft:SetTexture(tex)
	BottomLeft:SetTexCoord(0, 1/3, 2/3, 1)
	BottomLeft:SetPoint("BOTTOMLEFT", frame, -pos, -pos)
	BottomLeft:SetWidth(scale) BottomLeft:SetHeight(scale)
	BottomLeft:SetVertexColor(color.r,color.g,color.b)
	BottomLeft:SetDrawLayer("BORDER")
	
	local BottomRight = frame:CreateTexture(nil, "BORDER")
	BottomRight:SetTexture(tex)
	BottomRight:SetTexCoord(2/3, 1, 2/3, 1)
	BottomRight:SetPoint("BOTTOMRIGHT", frame, pos, -pos)
	BottomRight:SetWidth(scale) BottomRight:SetHeight(scale)
	BottomRight:SetVertexColor(color.r,color.g,color.b)
	BottomRight:SetDrawLayer("BORDER")
	
	local TopEdge = frame:CreateTexture(nil, "BORDER")
	TopEdge:SetTexture(tex)
	TopEdge:SetTexCoord(1/3, 2/3, 0, 1/3)
	TopEdge:SetPoint("TOPLEFT", TopLeft, "TOPRIGHT")
	TopEdge:SetPoint("TOPRIGHT", TopRight, "TOPLEFT")
	TopEdge:SetHeight(scale)
	TopEdge:SetVertexColor(color.r,color.g,color.b)
	TopEdge:SetDrawLayer("BORDER")
	
	local BottomEdge = frame:CreateTexture(nil, "BORDER")
	BottomEdge:SetTexture(tex)
	BottomEdge:SetTexCoord(1/3, 2/3, 2/3, 1)
	BottomEdge:SetPoint("BOTTOMLEFT", BottomLeft, "BOTTOMRIGHT")
	BottomEdge:SetPoint("BOTTOMRIGHT", BottomRight, "BOTTOMLEFT")
	BottomEdge:SetHeight(scale)
	BottomEdge:SetVertexColor(color.r,color.g,color.b)
	BottomEdge:SetDrawLayer("BORDER")
	
	local LeftEdge = frame:CreateTexture(nil, "BORDER")
	LeftEdge:SetTexture(tex)
	LeftEdge:SetTexCoord(0, 1/3, 1/3, 2/3)
	LeftEdge:SetPoint("TOPLEFT", TopLeft, "BOTTOMLEFT")
	LeftEdge:SetPoint("BOTTOMLEFT", BottomLeft, "TOPLEFT")
	LeftEdge:SetWidth(scale)
	LeftEdge:SetVertexColor(color.r,color.g,color.b)
	LeftEdge:SetDrawLayer("BORDER")
	
	local RightEdge = frame:CreateTexture(nil, "BORDER")
	RightEdge:SetTexture(tex)
	RightEdge:SetTexCoord(2/3, 1, 1/3, 2/3)
	RightEdge:SetPoint("TOPRIGHT", TopRight, "BOTTOMRIGHT")
	RightEdge:SetPoint("BOTTOMRIGHT", BottomRight, "TOPRIGHT")
	RightEdge:SetWidth(scale)
	RightEdge:SetVertexColor(color.r,color.g,color.b)
	RightEdge:SetDrawLayer("BORDER")